> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deductions

> List IP Market Deductions



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/market/deductions
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/deductions:
    get:
      tags:
        - Deductions
      summary: List Deductions
      description: List IP Market Deductions
      operationId: API-Pub-IPmarket-Deductions-List
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/API.Pub.Requests.Deductions.IndexDeductionRequest
            example:
              subnet: string
              status: completed
              created_at: 0
              sort: string
              direction: asc
              payout_uuid: string
              invoice_uuid: string
      responses:
        '200':
          description: IP Market Deductions Collection
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.IPMarket.Deductions.DeductionResource
              example:
                uuid: string
                tenant_uuid: string
                ipmarket_service_uuid: string
                subnet: string
                amount: 0
                status: pending
                comment: string
                evidence: string
                all_sum: true
                lease_period: 0
                deduction_invoice_uuid: string
                created_at: 0
                updated_at: 0
                type: service
        '400':
          description: Invalid Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Requests.Deductions.IndexDeductionRequest:
      type: object
      properties:
        subnet:
          type: string
          description: Filter by IP
        status:
          enum:
            - completed
            - cancelled
            - pending
          type: string
          description: Filter by status
        created_at:
          type: integer
          description: Filter by created_at date
        sort:
          type: string
          description: Sort by date field
        direction:
          enum:
            - asc
            - desc
          type: string
          description: Sort direction
        payout_uuid:
          type: string
          description: Filter by payout invoice UUID
          format: uuid
        invoice_uuid:
          type: string
          description: Filter by deduction invoice UUID
          format: uuid
    API.Pub.Resources.IPMarket.Deductions.DeductionResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        tenant_uuid:
          type: string
          format: uuid
        ipmarket_service_uuid:
          type: string
          format: uuid
        subnet:
          type: string
        amount:
          type: number
          format: float
        status:
          enum:
            - pending
            - completed
            - cancelled
          type: string
        comment:
          type: string
        evidence:
          type: string
        all_sum:
          type: boolean
        lease_period:
          type: number
        deduction_invoice_uuid:
          type: string
        created_at:
          type: number
        updated_at:
          type: number
        type:
          enum:
            - service
            - ip_holder_fee
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````